com.r3corda.client.model / TrackedDelegate / ObservableListReadOnlyDelegate

# ObservableListReadOnlyDelegate

`class ObservableListReadOnlyDelegate<M : Any, out T> : TrackedDelegate<M>`

### Constructors

<init> | `ObservableListReadOnlyDelegate(klass: KClass<M>, observableListReadOnlyProperty: (M) -> ObservableList<out T>)`

### Properties

observableListReadOnlyProperty | `val observableListReadOnlyProperty: (M) -> ObservableList<out T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): ObservableList<out T>`